import { Criteria } from "selectively";
import { Order } from "@payfunc/model";
export declare class IntergiroOrders {
  orders?: Order[];
  ordersFiltered?: Order[];
  selected: {
    [id: string]: Order | undefined;
  };
  filter?: Criteria;
  display: boolean;
  receipt?: boolean;
  embedded?: "app" | string;
  componentWillLoad(): void;
  handleFilterChanged(event: CustomEvent<Criteria>): void;
  updateOrders(): void;
  handleSelectedChanged(event: CustomEvent<{
    [id: string]: Order | undefined;
  }>): void;
  render(): any;
}
